/*	This script created by Christopher Bradford, Alive! Online Design.
    You may distribute it freely, but please keep the headers intact.

    This is just a regular expression search and replace, but it works nicely.  

Toggles table borders on/off quickly 
(very useful for browsing with table borders activated)  
*/

// these are constant for the message boxes
var hsYesNoCancelQuestion = 35;
var hsOKInfo = 64;

// these are constants for button values when clicked
var hsCancel = 2;
var hsYes = 6;
var hsNo = 7;

function Main () {

var app = Application;

    if (app.ActiveDocument.SelLength > 0) {
    
            // figure out the scope of the search
    var intUseSelText = app.MessageBox("Restrict replace to selected text?","Regular Expression Search and Replace",hsYesNoCancelQuestion);

    if (intUseSelText == hsYes) { strText = app.ActiveDocument.SelText; }         // use selected text
    else if (intUseSelText == hsNo) {strText = app.ActiveDocument.Text; }        // use whole document
    else { strText = ""; }  // they canceled the operation
         }
    else { strText = app.ActiveDocument.Text; }

if (strText != "") {                  // if this is empty, it means they cancelled, so the script ends

var intOffOn = app.MessageBox("Do you want to see the table borders (Yes for ON, No for OFF)?","Choose ON/OFF",hsYesNoCancelQuestion);

if (intOffOn != hsCancel) {
if (intOffOn == hsYes) {
   var re = /(<TABLE [^>]*)(BORDER="?)0("?[^>]*>)/gi;
   var strNew = strText.replace(re,"$1$21$3"); }
else if (intOffOn = hsNo) {    
   var re = /(<TABLE [^>]*)(BORDER="?)1("?[^>]*>)/gi;
   var strNew = strText.replace(re,"$1$20$3"); }

eval ("app.ActiveDocument." + ((intUseSelText == hsYes) ? "SelText" : "Text") + " = strNew");    // replace the right text (selected text or full text)

}

}

app.MessageBox("Done!","Successful",hsOKInfo);

}